typedef struct {
    int maxy;                   /* max y value in font */
    int miny;                   /* min y value, height = maxy - miny + 1 */
    unsigned int maxwidth;      /* max widht in font */
    unsigned int minchar;       /* lowest character code in font */
    unsigned int numchars;      /* number of characters in font */
    char **glyphdef;            /* will be glyphdef[numchars] */
} HersheyFont;

HersheyFont * LoadHersheyFont(char *fname, int minchar, int maxchars, int *err);
int DrawHersheyFontGlyph(HersheyFont *hf, int glyph, int x, int y,
                         double zoom, int thick, GrColor c);
void DrawHersheyFontString(HersheyFont *hf, char *s, int xorg, int yorg,
                           double zoom, int thick, GrColor c);
void GetHersheyFontBox(HersheyFont *hf, double zoom, int *maxh, int *maxw);
GrFont * GenGrxHersheyFont(HersheyFont *hf, char *name, char *family,
                           double zoom, int thick);
void UnloadHersheyFont(HersheyFont *hf);
